Bug 1180857 - libgpg-error-devel 32 vs. 64 bit header file conflict
Summary: libgpg-error-devel 32 vs. 64 bit header file conflict
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: libgpg-error
Version: 21
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1210431 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-11 09:03 UTC by Jorn Amundsen
Modified: 2015-12-02 17:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 07:12:28 UTC
Type: Bug


Attachments (Terms of Use)
Attachment to Comment #3 (2.50 KB, text/plain)
2015-02-01 21:10 UTC, Jorn Amundsen
no flags Details

Description Jorn Amundsen 2015-01-11 09:03:00 UTC
Description of problem:
libgpg-error-devel.i686 will not install if libgpg-error-devel.x86_64 is installed.

Version-Release number of selected component (if applicable): 1.13-3.fc21


How reproducible: always


Steps to Reproduce:
1. Install libgpg-error-devel.x86_64
2. Install libgpg-error-devel.i686


Actual results:

# yum install libgpg-error-devel.i686
Loaded plugins: auto-update-debuginfo, langpacks
Resolving Dependencies
--> Running transaction check
---> Package libgpg-error-devel.i686 0:1.13-3.fc21 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================
 Package                       Arch            Version                Repository         Size
==============================================================================================
Installing:
 libgpg-error-devel            i686            1.13-3.fc21            fedora             21 k

Transaction Summary
==============================================================================================
Install  1 Package

Total size: 21 k
Installed size: 31 k
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
  file /usr/include/gpg-error.h from install of libgpg-error-devel-1.13-3.fc21.i686 conflicts with file from package libgpg-error-devel-1.13-3.fc21.x86_64

Error Summary
-------------


Expected results:


Additional info:

Comment 1 Fedora Update System 2015-01-30 16:47:30 UTC
libgpg-error-1.17-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libgpg-error-1.17-2.fc21

Comment 2 Fedora Update System 2015-02-01 00:24:08 UTC
Package libgpg-error-1.17-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libgpg-error-1.17-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1480/libgpg-error-1.17-2.fc21
then log in and leave karma (feedback).

Comment 3 Jorn Amundsen 2015-02-01 21:09:15 UTC
(In reply to Fedora Update System from comment #2)
> Package libgpg-error-1.17-2.fc21:
> * should fix your issue,
> * was pushed to the Fedora 21 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing libgpg-error-1.17-2.fc21'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2015-1480/libgpg-error-1.17-2.
> fc21
> then log in and leave karma (feedback).

Are you sure? I got this:

# yum install -y --enablerepo=updates-testing libgpg-error-devel.i686 >& install.log
# echo $?
1

Please see the attached install.log.

Comment 4 Jorn Amundsen 2015-02-01 21:10:21 UTC
Created attachment 986848 [details]
Attachment to Comment #3

Comment 5 Fedora Update System 2015-03-12 16:33:56 UTC
libgpg-error-1.17-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Tomas Mraz 2015-03-12 16:47:38 UTC
Unfortunately not fixed yet.

Comment 7 Tomas Mraz 2015-04-27 10:47:53 UTC
*** Bug 1210431 has been marked as a duplicate of this bug. ***

Comment 8 Fedora End Of Life 2015-11-04 15:26:54 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-12-02 07:12:32 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.